%define srcname oci
%define oci_version 1.3.11

Name: python-oci-sdk
Version: %{oci_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Bare Metal Cloud Services Python SDK
License: Apache2.0
Group: Development/Libraries
#Source: https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

SOURCE0: %{srcname}-%{version}.tar.gz
SOURCE1: six-1.10.0.tar.gz
SOURCE2: requests-2.11.1.tar.gz
SOURCE3: cryptography-1.9.tar.gz
PATCH0: %{srcname}-init.patch
#BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools >= 11.3
BuildRequires: python-cffi >= 1.4.1
BuildRequires: openssl-devel 
#required by SDK
Requires: python-certifi
Requires: python-configparser = 3.5.0
Requires: python-httpsig_cffi 
Requires: python-dateutil = 2.5.3
Requires: pytz	>= 2016.10
#Required by python-six = 1.10.0
#Required by python-requests = 2.11.1
Requires: python-ndg_httpsclient
Requires: python2-pyasn1
#Required by python-cryptography = 1.9
Requires: python-setuptools >= 11.3
Requires: python-idna >= 2.1
Requires: python-packaging
Requires: pyOpenSSL >= 0.13
Requires: python-asn1crypto >= 0.21.0
Requires: python2-cffi >= 1.9.1


%description
Python SDK for Oracle Bare Metal Cloud Services.

%prep
%setup -q -n %{srcname}-%{version}

patch -p1<%{PATCH0}

mkdir -p packages
tar -zxvf %SOURCE1 --directory=packages
tar -zxvf %SOURCE2 --directory=packages
tar -zxvf %SOURCE3 --directory=packages

%build
%{__python} setup.py build

mkdir site_packages

cd packages/six*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../requests*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages

cd ../cryptography*
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=../../site_packages


%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site_packages/usr/*/*/site-packages/* %{buildroot}%{python_sitelib}/oci/packages


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/oci*
%doc README.rst LICENSE.txt

%changelog
* Thu Sep 15 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci 1.3.7

* Wed May 31 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oci 1.3.2
